package net.awired.ajsl.service.interfaces;

import java.io.Serializable;
import net.awired.ajsl.persistence.entity.IdEntity;

public interface CrudService<ENTITY extends IdEntity<KEY_TYPE>, KEY_TYPE extends Serializable> extends
        CreateService<ENTITY, KEY_TYPE>, ReadService<ENTITY, KEY_TYPE>, UpdateService<ENTITY, KEY_TYPE>,
        DeleteService<ENTITY, KEY_TYPE> {

}
